#!/bin/bash
#
# Start ptoxy to provide hide SVE functionality.
# Need to redirect VZCP & Plesk ports
#

SVE_VEID=1
SVE_ADDRESS=`/usr/sbin/vzlist -o ip -H ${SVE_VEID}`

function getVERoot()
{
	VEID=$1
	. /etc/sysconfig/vz
	[ -f /etc/sysconfig/vz-scripts/$1.conf ] && . /etc/sysconfig/vz-scripts/$1.conf	
	echo $VE_ROOT
}

SVE_ROOT=`getVERoot ${SVE_VEID}`
SOAP_PORT_LIST=`cat ${SVE_ROOT}/etc/httpd/conf.d/vzlsoap.conf |grep "<VirtualHost"|awk  'BEGIN { FS=":|>" } { print $2 ":" $2 }'`


SOAP_PORTS=
if [ $? -eq 0 ]; then
	for s in ${SOAP_PORT_LIST}; do
		SOAP_PORTS="${SOAP_PORTS} -p $s"
	done
fi


if [ -z "${SVE_ADDRESS}" ]; then
	# Wrong SVE address don't start proxy
	exit 1
fi

if [ -f /etc/vz/redirect.d/vzpp-plesk.conf ]; then
	. /etc/vz/redirect.d/vzpp-plesk.conf
	PLESK_PORT=$PORT
fi
if [ -f /etc/vz/redirect.d/vzpp.conf ]; then
	. /etc/vz/redirect.d/vzpp.conf
	VZCP_PORT=$PORT
fi  

PLESK_PORT=${PLESK_PORT:-8443}
VZCP_PORT=${VZCP_PORT:-4643}
EXTRA_VZCP_PORTS=
VZCP_PORT_LIST=`/usr/sbin/vzctl exec ${SVE_VEID} /etc/init.d/vzcp listports 2>/dev/null`
if [ $? -eq 0 ]; then
	for p in ${VZCP_PORT_LIST}; do
		EXTRA_VZCP_PORTS="${EXTRA_VZCP_PORTS} -p $p"
	done
fi

exec /opt/vzagent/bin/vzaproxy -r ${SVE_ADDRESS} -p ${PLESK_PORT} -p ${VZCP_PORT} ${EXTRA_VZCP_PORTS} ${SOAP_PORTS}
