#!/bin/bash
#
# Start ptoxy to provide hide SVE functionality.
# Need to redirect VZCP & Plesk ports
#

SVE_VEID=1
VZAGENT_PORTS_LIST="4433 4434 4435"

PATH="/bin:/sbin/:/usr/sbin/:/usr/bin/"
HN_IFACE=`ip link list | grep  -E '^[[:digit:]]*:' | grep -v -E 'LOOPBACK|NOARP|SLAVE' | awk '//{print $2}' | tr '\\n' ' ' | tr -d ':'`
HN_ADDRESS=""
for i in $HN_IFACE; do
	HN_ADDRESS=`ip addr show $i | grep -E 'inet[[:space:]]' | awk '{print $2}' | sed -e 's#/.*##'`
	[ -n "${HN_ADDRESS}" ] && break
done

if [ -z "${HN_ADDRESS}" ]; then
	# Wrong SVE address don't start proxy
	exit 1
fi

PORTS_STR=""

for i in $VZAGENT_PORTS_LIST; do
	PORTS_STR="${PORTS_STR} -p $i"
done

exec vzctl exec $SVE_VEID /opt/vzagent/bin/vzaproxy -r ${HN_ADDRESS} ${PORTS_STR}
