#!/bin/sh

ARCH=`uname -i`
ARCH_BSP=${ARCH}
if [ ${ARCH_BSP} = "x86_64" ]; then
	ARCH_BSP="x64"
fi

VERSION=`rpm -q --qf "%{release}" vzagent-opcontrol`
if [ $? -ne 0 ]; then
	echo "vzagent-opcontrol is not found"
	exit 1
fi

DEBUG_VERSION=`rpm -q --qf "%{release}" vzagent-debug`
if [ "${DEBUG_VERSION}" = "${VERSION}" ]; then
	echo "vzagent-debug already installed"
	exit 0
fi

function usage()
{
	echo "Usage: $0 xxxx@deliver.vt.sw.ru" >&2
	exit 1
}

ADDR=$1
[ -z "$ADDR" ] && usage

DEBUG_NAME=vzagent-debug-4.0.0-${VERSION}.${ARCH}.rpm
DEBUG_PATH=/vz/tmp/${DEBUG_NAME}
VZTOOLS_VERSION=`rpm -q --qf "%{release}" virtuozzo-tools | sed -e 's|.swsoft||'
`
scp ${ADDR}:/deliver/dev/history/4.0.0-${VZTOOLS_VERSION}/linux/${ARCH_BSP}/internal/${DEBUG_NAME} ${DEBUG_PATH}
rpm -Uhv ${DEBUG_PATH}
rm -f ${DEBUG_PATH}
