#!/bin/sh

rpm -q vzagent-opcontrol
rpm -q vzagent-debug
ls -la /var/vzagent/dumps/

TMPFILE=`mktemp`
cat << EOF > $TMPFILE
set pagination off
bt
echo \n\n
bt full
echo \n\n
echo ==== (gdb) thread apply all bt ====\n
thread apply all bt
EOF

for i in `find /var/vzagent/dumps/ -type f`; do
	resultCompat=`file $i | grep "vzaop_compat"`
	if [ $? -eq 0 ]; then
		file="/usr/sbin/vzaop_compat"
	fi
	resultPL=`file $i | grep "vzlpl"`
	if [ $? -eq 0 ]; then
		file="/opt/vzagent/bin/vzlpl"
	fi
	resultAgent=`file $i | grep "from 'vzagent'"`
	if [ $? -eq 1 ]; then
		resultAgentIA64=`file $i | grep "/opt/vzagent/bin/vzagent"`
		if [ $? -eq 0 ]; then
			file="/opt/vzagent/bin/vzagent"
		fi
	else
		file="/opt/vzagent/bin/vzagent"
	fi
	echo "-------- Dump $i from $file --------"
	gdb --batch -q -x $TMPFILE $file $i
	echo -ne "----------------------------------\n\n"
		
done
