/*---------------------------------------------------------------------------*/
/*	ResLogOperator                                                        */
/*---------------------------------------------------------------------------*/

create database if not exists `VZLResLog00000000-0000-0000-0000-000000000002`;
use `VZLResLog00000000-0000-0000-0000-000000000002`;

drop table if exists logs;
drop table if exists log_data;
drop table if exists log_def;

create table if not exists logs (
	name		char(32) not null,
	period 		int not null,

	UNIQUE(name)
) type = Innobase;


create table if not exists log_def (
	id			int auto_increment,
	
	eid			char(37) not null,
	class		char(32) not null,
	instance	varchar(100),
	counter		char(32) not null,

	PRIMARY KEY(id),
	UNIQUE(eid, class, instance, counter)
) type = Innobase;

create table if not exists log_data (
	id			int auto_increment,
	defid		int not null,
	start_time	int not null,
	end_time	int not null,

	avg			float(8) not null,
	max			float(8) not null,
	min			float(8) not null,

	status		int default 0,

	PRIMARY KEY(id),
	INDEX(defid),
	FOREIGN KEY(defid) REFERENCES log_def(id) ON DELETE CASCADE ON UPDATE CASCADE,
	INDEX(start_time)
) type = Innobase;

